Subject: Re: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Gerd Möllmann <[email-masked]>
Date: Wed, 31 Aug 2022 09:02:07 +0200

Gerd Möllmann <[email-masked]> writes:

> On 22-08-30 15:48 , Dmitrii Kuragin wrote:
>> Could you please try these settings?
>> ```
>> (setq display-line-numbers-type 'visual)
>> (global-display-line-numbers-mode)
>> (global-hl-line-mode)
>> (global-display-fill-column-indicator-mode)
>> ```
>
> Thanks.
>
> I've tried that with and without an additional M-x load-theme ... RET,
> and no luck, it doesn't flicker here.

"Good news":

I've now installed Alacritty, and with this file

;; 57434.el
(setq display-line-numbers-type 'visual)
(global-display-line-numbers-mode)
(global-hl-line-mode)
(global-display-fill-column-indicator-mode)

and, in an alacritty terminal window

./emacs -nw -Q -l ../../57434.el xdisp.c
C-x 3
C-x o
C-x b *scratch* RET
C-x o
C-n/C-p

it sometimes flickers.  A lot less than in your screencast showing emacs
-Q, but it's there.

The window of xdisp.c doesn't need to scroll for this to happen.  It
suffices to hold C-n with key repeat, and then reverse to C-p with
repeat, and then C-n again, and so forth.  I have to repeat that a dozen
times or so until it flickers.  Key repeat is the maximum my system
allows (which is not very fast, TBH).

$TERM seems to be "alacritty" by default, which has different
capabilities than xterm-256color.  But the flickering is also there with
xterm-256color.

And I double-checked with Terminal.app again: no flickering.

\o/